import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import * as React from "react";
import { Dialog } from "./Dialog";
import { Button } from "./Button";
import { useTheme } from "./Theme/Providers";
import { Text } from "./Text";
import { useUid } from "./Hooks/use-uid";
export const AlertDialog = ({ isOpen, title, subtitle, confirmLabel = "Confirm", onConfirm, intent = "danger", onCancel, onClose }) => {
    const theme = useTheme();
    const id = useUid();
    const cancel = React.useCallback(() => {
        if (onCancel)
            onCancel();
        onClose();
    }, [onCancel, onClose]);
    const confirm = React.useCallback(() => {
        onConfirm();
        onClose();
    }, [onConfirm]);
    return (_jsx(Dialog, { role: "alertdialog", "aria-labelledby": id, onRequestClose: cancel, isOpen: isOpen, children: _jsxs("div", { css: { padding: "1.5rem" }, children: [_jsx(Text, { id: id, variant: "h5", children: title }), subtitle && _jsx(Text, { children: subtitle }), _jsxs("div", { css: {
                        marginTop: theme.spaces.md,
                        display: "flex",
                        justifyContent: "flex-end"
                    }, children: [_jsx(Button, { autoFocus: true, onPress: cancel, variant: "ghost", children: "Cancel" }), _jsx(Button, { onPress: confirm, css: { marginLeft: theme.spaces.sm }, intent: intent, children: confirmLabel })] })] }) }));
};
//# sourceMappingURL=AlertDialog.js.map