/** @jsxImportSource @emotion/react */
import * as React from "react";
import { PanInfo } from "framer-motion";
type CarouselProps = {
    children: React.ReactNode;
    loop?: boolean;
    value: number;
    onRequestChange: (value: number) => void;
    /**嵌套其它轮播台里面的本轮播台：拉动到了无法继续前进时，就触发切换到上一级的轮播台的拉动机会，否则的话上一级有可能没机会拉拽切换。
     * 回调函数： 下层次轮播台拉动无效，移交上级轮播台处理。
     * */
    onNestDragEnd?: (e: Event, dragProps: PanInfo) => void;
};
/**轮播台; 支持嵌套多层的 Pager 轮播台，可单独控制。
 * 改用 GesturePage 支持嵌套和内部链接点击。
 * */
export declare const CarouselPage: ({ children, loop, value, onRequestChange, onNestDragEnd, }: CarouselProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export {};
