import { mergeRefs } from "./merge-refs";
/**实际是 运行多个ref()函数, 参数传递;
 * */
export const safeBind = (...bindGroups) => {
    const groupedFns = {};
    const fns = {};
    const refs = [];
    function propFnFactory(name) {
        return (e, ...args) => {
            const callbacks = groupedFns[name];
            if (!e.defaultPrevented) {
                callbacks.forEach(cb => cb(e, ...args));
            }
        };
    }
    bindGroups.forEach(bind => {
        Object.entries(bind).forEach(([key, value]) => {
            if (key === "ref") {
                refs.push(value);
                return;
            }
            if (typeof value !== "function") {
                fns[key] = value;
                return;
            }
            if (!groupedFns[key]) {
                groupedFns[key] = [];
            }
            groupedFns[key].push(value);
            fns[key] = propFnFactory(key);
        });
    });
    if (refs.length > 0) {
        fns.ref = mergeRefs(...refs);
    }
    return fns;
};
//# sourceMappingURL=compose-bind.js.map