import * as React from "react";
import { StateType, Callbacks, ResponderEvent } from "react-gesture-responder";
import { SpringConfig } from "@react-spring/web";
import { CSSProperties } from "react";
/**
 * ReactPager
 * Provide views that can be swiped left or right (with touch devices).
 * 旧的有interface PagerProps extends React.HTMLAttributes<HTMLDivElement> ； children类型冲突；
 */
export interface PagerProps {
    id?: string | undefined;
    value: number;
    onRequestChange: (value: number) => void;
    enableMouse?: boolean;
    enableGestures?: boolean;
    enableScrollLock?: boolean;
    animationConfig?: SpringConfig;
    lazyLoad?: boolean;
    onSetLazy?: (suggestedIndex: number) => number[];
    onTerminationRequest?: Callbacks["onTerminationRequest"];
    /**onMove要不要触发滑动事件啊: , 从外部可以篡改逻辑的： suggested参数 是内部默认的取值。
     * Optionally override onMoveShouldSet defaults */
    onMoveShouldSet?: (state: StateType, e: ResponderEvent, suggested: boolean) => boolean;
    minVelocity?: number;
    paneStyle?: CSSProperties | undefined;
    children: Array<React.ReactNode | PagerChildCallback>;
    style?: CSSProperties | undefined;
    className?: string | undefined;
}
export interface CallbackProps {
    style: React.CSSProperties;
    "aria-hidden": boolean;
    ref: (el: HTMLDivElement | null) => void;
}
export type PagerChildCallback = (props: CallbackProps, active: boolean, load: boolean) => React.ReactNode;
export declare const Pager: React.ForwardRefExoticComponent<PagerProps & React.RefAttributes<unknown>>;
