import * as React from "react";
import { Placements } from "./Positions";
interface TooltipProps extends React.HTMLAttributes<HTMLDivElement> {
    /** The content of the tooltip */
    content: React.ReactNode;
    /** Where the tooltip should be placed */
    placement?: Placements;
    /** the target element for the tooltip */
    children: React.ReactNode;
    /** delay showing the tooltip (ms) */
    delayIn?: number;
    /** delay hiding the tooltip (ms) */
    delayOut?: number;
    /** Prevents the tooltip from disappearing when the user hovers over it */
    hover?: boolean;
    maxWidth?: string;
}
/** 手机或触摸屏幕 不需要使用 Tooltip，没法 :hover；
 * 用鼠标点击的场景才有意义。
 * Tooltip唯一儿子 需要传递 ref的。
 */
export declare const Tooltip: React.FunctionComponent<TooltipProps>;
export {};
